> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses attachmentsbatch



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/attachments/batch
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/attachments/batch:
    put:
      tags:
        - BusinessAttachments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentBatchUpdateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentBatchUpdateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOAttachmentBatchUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    DTOAttachmentBatchUpdateRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        isExistingS3Object:
          type: boolean
        bucketName:
          type: string
          nullable: true
        id:
          type: integer
          format: int64
      additionalProperties: false

````